Bug 177703 - /usr/ports/databases/mongodb fails build with spidermonkey enabl
/usr/ports/databases/mongodb fails build with spidermonkey enabl
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Dupre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-08 08:40 UTC by raven428
Modified: 2013-04-19 12:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raven428 2013-04-08 08:40:00 UTC
/usr/ports/databases/mongodb fails build with spidermonkey engine enabled with e
rrors:
Checking for C library pcrecpp... yes
Checking for C library pcre... yes
Checking for C library snappy... yes
AttributeError: Values instance has no attribute 'use-system-js':
  File "/usr/ports/databases/mongodb/work/mongodb-src-r2.4.1/SConstruct", line 9
02:
    env = doConfigure( env )
  File "/usr/ports/databases/mongodb/work/mongodb-src-r2.4.1/SConstruct", line 8
18:
    if usesm and use_system_version_of_library("js"):
  File "/usr/ports/databases/mongodb/work/mongodb-src-r2.4.1/SConstruct", line 1
01:
    return has_option('use-system-all') or has_option('use-system-' + name)
  File "/usr/ports/databases/mongodb/work/mongodb-src-r2.4.1/SConstruct", line 9
2:
    x = _has_option(name)
  File "/usr/ports/databases/mongodb/work/mongodb-src-r2.4.1/SConstruct", line 7
9:
    x = get_option( name )
  File "/usr/ports/databases/mongodb/work/mongodb-src-r2.4.1/SConstruct", line 7
6:
    return GetOption( name )
  File "/usr/local/lib/scons-2.1.0/SCons/Script/Main.py", line 470:
    return getattr(OptionsParser.values, name)
  File "/usr/local/lib/scons-2.1.0/SCons/Script/SConsOptions.py", line 115:
    return getattr(self.__dict__['__defaults__'], attr)
*** Error code 2

Stop in /usr/ports/databases/mongodb.
*** Error code 1

Stop in /usr/ports/databases/mongodb.

How-To-Repeat: cd /usr/ports/databases/mongodb && make config
make SM box checked and try to build: it will stop with error pasted above.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-08 08:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alex Dupre freebsd_committer 2013-04-09 16:30:33 UTC
State Changed
From-To: open->closed

You have a custom Makefile, remove your customizations. 
The port sets use-system-sm, not use-system-js when spidermoneky is selected.
Comment 3 dfilter freebsd_committer 2013-04-19 11:59:28 UTC
Author: ale
Date: Fri Apr 19 10:59:20 2013
New Revision: 316093
URL: http://svnweb.freebsd.org/changeset/ports/316093

Log:
  Update to 2.4.2 release.
  Simplify rc script.
  Fix build with spidermonkey [1].
  
  PR:		ports/177703 [1]
  Submitted by:	Dmitry Sukhodoyev <raven428@gmail.com>
  Feature safe:	yes

Modified:
  head/databases/mongodb/Makefile
  head/databases/mongodb/distinfo
  head/databases/mongodb/files/mongod.in
  head/databases/mongodb/files/patch-SConstruct

Modified: head/databases/mongodb/Makefile
==============================================================================
--- head/databases/mongodb/Makefile	Fri Apr 19 09:21:28 2013	(r316092)
+++ head/databases/mongodb/Makefile	Fri Apr 19 10:59:20 2013	(r316093)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mongodb
-PORTVERSION=	2.4.1
+PORTVERSION=	2.4.2
 CATEGORIES=	databases net
 MASTER_SITES=	http://downloads.mongodb.org/src/
 DISTNAME=	${PORTNAME}-src-r${PORTVERSION}

Modified: head/databases/mongodb/distinfo
==============================================================================
--- head/databases/mongodb/distinfo	Fri Apr 19 09:21:28 2013	(r316092)
+++ head/databases/mongodb/distinfo	Fri Apr 19 10:59:20 2013	(r316093)
@@ -1,2 +1,2 @@
-SHA256 (mongodb-src-r2.4.1.tar.gz) = d61ad944b8f27e0efb9a08998cbda587ee5d1a4406a938443e681502738da3b2
-SIZE (mongodb-src-r2.4.1.tar.gz) = 14101118
+SHA256 (mongodb-src-r2.4.2.tar.gz) = d0a26fef7f425a6652ebfc3addbc7e1b01a10be65c9d68e464730687bd6721c3
+SIZE (mongodb-src-r2.4.2.tar.gz) = 14106623

Modified: head/databases/mongodb/files/mongod.in
==============================================================================
--- head/databases/mongodb/files/mongod.in	Fri Apr 19 09:21:28 2013	(r316092)
+++ head/databases/mongodb/files/mongod.in	Fri Apr 19 10:59:20 2013	(r316093)
@@ -14,8 +14,6 @@
 #                        just before mongod starts.
 # mongod_dbpath (str):   Default to "/var/db/mongodb"
 #                        Base database directory.
-# mongod_pidfile (str):  Custum PID file path and name.
-#                        Default to "${mongod_dbpath}/mongod.pid".
 # mongod_flags (str):    Custom additional arguments to be passed to mongod.
 #                        Default to "--logpath ${mongod_dbpath}/mongod.log --logappend".
 #
@@ -34,9 +32,9 @@ load_rc_config $name
 : ${mongod_user="mongodb"}
 : ${mongod_group="mongodb"}
 
-pidfile=${mongod_pidfile:-"${mongod_dbpath}/mongod.pid"}
+pidfile="${mongod_dbpath}/mongod.lock"
 command=%%PREFIX%%/bin/${name}
-command_args="--config %%PREFIX%%/etc/mongodb.conf --dbpath $mongod_dbpath --pidfilepath ${pidfile} --fork"
+command_args="--config %%PREFIX%%/etc/mongodb.conf --dbpath $mongod_dbpath --fork >/dev/null 2>/dev/null"
 start_precmd="${name}_prestart"
 
 mongod_create_dbpath()

Modified: head/databases/mongodb/files/patch-SConstruct
==============================================================================
--- head/databases/mongodb/files/patch-SConstruct	Fri Apr 19 09:21:28 2013	(r316092)
+++ head/databases/mongodb/files/patch-SConstruct	Fri Apr 19 10:59:20 2013	(r316093)
@@ -23,7 +23,7 @@
 +        if not conf.CheckLib("snappy"):
 +            Exit(1)
 +
-+    if usesm and use_system_version_of_library("js"):
++    if usesm and use_system_version_of_library("sm"):
 +        if not conf.CheckLib("js"):
 +            Exit(1)
 +
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"